| DocBook: The Definitive Guide 2.0.17 (Alpha)

# spanspec

$Revision$

$Date$

spanspec — Formatting information for a spanned column in a table

## Synopsis

### Content Model

    spanspec ::=
    EMPTY

### Attributes

Name | Type | Default
rowsep | CDATA | None

align

Enumeration:
center
char
justify
left
right

None

spanname | CDATA | Required
namest | CDATA | Required
char | CDATA | None
nameend | CDATA | Required
colsep | CDATA | None
charoff | CDATA | None

## Description

A `SpanSpec` associates a name with a span between two columns in a table. In the body of the table, cells can refer to the span by name. Cells that refer to a span will span horizontally from the first column to the last column, inclusive.

Cells can also form spans directly, by naming the start and end columns themselves. The added benefit of a `SpanSpec` is that it can associate formatting information (such as alignment and table rule specifications) with the span. This information does not need to be repeated then, on each spanning cell.

### Processing expectations

Suppressed. This element is expected to obey the semantics of the CALS Table Model Document Type Definition, as specified by OASIS Technical Memorandum TM 9502:1995 .

The `NameSt` and `NameEnd` attributes of a `SpanSpec` must refer to named `ColSpec`s in the same table. In other words, if the `SpanSpec`

    <spanspec spanname="fullyear" namest="jan" nameend="dec"/>

exists in a table, `ColSpec`s named “jan” and “dec” must also exist in the same table.

### Parents

These elements contain spanspec: `entrytbl`, `tgroup`.

## Attributes

align

  `Align` specifies the horizontal alignment of `Entry`s (or `EntryTbl`s) in the span. The default alignment is inherited from the enclosing `TGroup`. If `Char` is specified, see also `Char` and `CharOff`. Individual `Entry`s and `EntryTbl`s can specify an alternate alignment.

char

  `Char` specifies the alignment character when the `Align` attribute is set to `Char`.

charoff

  `CharOff` specifies the percentage of the column's total width that should appear to the left of the first occurance of the character identified in `Char` when the `Align` attribute is set to `Char`. This attribute is inherited from the `ColSpec` of the column specified in `Namest` or from the enclosing `TGroup`.

colsep

  If `ColSep` has the value 1 (true), then a rule will be drawn to the right of the spanning column described by this `SpanSpec`. A value of 0 (false) suppresses the rule. The rule to the right of the last column in the table is controlled by the `Frame` attribute of the enclosing `Table` or `InformalTable` and the `ColSep` of the last column in the table is ignored. If unspecified, this attribute is inherited from enclosing elements.

nameend

  `NameEnd` is the name (defined in a `ColSpec`) of the rightmost column of the span.

namest

  `NameSt` is the name (defined in a `ColSpec`) of the leftmost column of the span.

rowsep

  If `RowSep` has the value 1 (true), then a rule will be drawn below all the cells in this `Span`. A value of 0 (false) suppresses the rule. The rule below the last row in the table is controlled by the `Frame` attribute of the enclosing `Table` or `InformalTable` and the `RowSep` of the last row is ignored. If unspecified, this attribute is inherited from enclosing elements.

spanname

  `SpanName` specifies a name by which subsequent `Entry` and `EntryTbl`s can refer to the span defined in this `SpanSpec`.

## See Also

`colspec`, `entry`, `entrytbl`, `informaltable`, `row`, `table`, `tbody`, `tfoot`, `tgroup`, `thead`.

simplesect |  | state

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.